package com.bwie.system.controller;

import com.bwie.common.domain.Stu;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
import java.util.Set;

/**
 * @Author：zhangchengzhi
 * @Package：com.bwie.system.controller
 * @Project：test_day06
 * @name：SystemController
 * @Date：2024/7/25 8:45
 */
@RestController
@RequestMapping("stu")

public class SystemController implements ApplicationRunner {


    public static void main(String[] args) {


       // 创建HashMap对象。
        HashMap<Integer, Stu> stuHashMap = new HashMap<>();

//创建两个学生对象。
        Stu stu1 = new Stu(1,"张三","男",30,22);

        Stu stu2 = new Stu(2, "李四", "女", 60, 20);
//保存到HashMap集合中，键为学生编号，值为学生对象
        stuHashMap.put(stu1.getStuId(),stu1);
        stuHashMap.put(stu2.getStuId(),stu2);

        System.out.println("第一种方式");
        stuHashMap.forEach((integer, stu) -> {
            System.out.println(stu);
        });

        System.out.println("第二种方式");
        Set<Map.Entry<Integer, Stu>> entrySet = stuHashMap.entrySet();

        for (Map.Entry<Integer, Stu> stuEntry : entrySet) {
            System.out.println(stuEntry.getValue());
        }

        System.out.println("第三种方式");
        Iterator<Map.Entry<Integer, Stu>> entryIterator = entrySet.iterator();
        while (entryIterator.hasNext()){
            Map.Entry<Integer, Stu> stuEntry = entryIterator.next();
            Stu value = stuEntry.getValue();
            System.out.println(value);
        }
    }

    @Override
    public void run(ApplicationArguments args) throws Exception {

    }
}
